"""
URL configuration for butler_ddochi project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include

from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('', include('butler.urls')),
    path('admin/', admin.site.urls),
    path('accounts/', include('custom_auth.urls')),  # custom_auth URL 추가
    path('notice/', include('board_notice.urls')),
    path('blog/', include('blog.urls')),
    path('nhncloud/', include('nhncloud.urls')),
    path('nhnc_mgmt/', include('nhnc_mgmt.urls')),
    path('mm_msg/', include('mm_msg.urls')),
    path('ansible_manager/', include('ansible_manager.urls')),
    path('obs_minio/', include('obs_minio.urls')),
    path('tm_dsbd/', include('telemetry_dashboard.urls')),
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)